## pulseaudio-qt 1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(PulseAudioQt VERSION 1.2.0)

include(FeatureSummary)
find_package(ECM 5.44.0  NO_MODULE)

set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://kde.org/products/frameworks/")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(KDEClangFormat)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
# include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX PULSEAUDIOQT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/pulseaudioqt_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PulseAudioQtConfigVersion.cmake"
                        SOVERSION 2)

set(REQUIRED_QT_VERSION 5.10.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui DBus)

find_package(Qt5Test ${REQUIRED_QT_VERSION} CONFIG)
set_package_properties(Qt5Test PROPERTIES DESCRIPTION "Autotests for PulseAudioQt" TYPE OPTIONAL)

find_package(Qt5Qml ${REQUIRED_QT_VERSION} CONFIG)
set_package_properties(Qt5Qml PROPERTIES DESCRIPTION "Tests for PulseAudioQt" TYPE OPTIONAL)

find_package(Qt5Quick ${REQUIRED_QT_VERSION} CONFIG)
set_package_properties(Qt5Quick PROPERTIES DESCRIPTION "Tests for PulseAudioQt" TYPE OPTIONAL)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5PulseAudioQt")


install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5PulseAudioQtConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5PulseAudioQtConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PulseAudioQtConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PulseAudioQtConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

find_package(PulseAudio 5.0.0 REQUIRED)
find_package(GLIB2 REQUIRED)

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(tests)
    if(Qt5Test_FOUND)
        add_subdirectory(autotests)
    endif()
endif()

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5PulseAudioQt_QCH
        FILE KF5PulseAudioQtQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5PulseAudioQtQchTargets.cmake\")")
endif()

install(EXPORT KF5PulseAudioQtTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5PulseAudioQtTargets.cmake NAMESPACE KF5:: )

install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/pulseaudioqt_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

include_directories(${PULSEAUDIO_INCLUDE_DIR} ${GLIB2_INCLUDE_DIR})

ecm_add_test(
    ${CMAKE_SOURCE_DIR}/src/maps.h
    ${CMAKE_SOURCE_DIR}/src/module.cpp
    ${CMAKE_BINARY_DIR}/src/debug.cpp
    mapstest.cpp
    TEST_NAME mapstest
    LINK_LIBRARIES Qt5::Test KF5PulseAudioQt ${PULSEAUDIO_LIBRARY}
)

=== src/CMakeLists.txt ===
include_directories(${PULSEAUDIO_INCLUDE_DIR} ${GLIB2_INCLUDE_DIR})

set(cpp_SRCS
    card.cpp
    cardport.cpp
    client.cpp
    context.cpp
    device.cpp
    maps.cpp
    operation.cpp
    port.cpp
    profile.cpp
    models.cpp
    pulseobject.cpp
    sink.cpp
    sinkinput.cpp
    source.cpp
    sourceoutput.cpp
    stream.cpp
    volumeobject.cpp
    server.cpp
    streamrestore.cpp
    module.cpp
)

ecm_qt_declare_logging_category(cpp_SRCS HEADER debug.h IDENTIFIER PULSEAUDIOQT CATEGORY_NAME org.kde.pulseaudio)

add_library(KF5PulseAudioQt SHARED ${cpp_SRCS})
target_link_libraries(KF5PulseAudioQt
    PUBLIC
        Qt5::Core
    PRIVATE
        Qt5::Gui
        Qt5::DBus
        ${PULSEAUDIO_LIBRARY}
        ${PULSEAUDIO_MAINLOOP_LIBRARY}
)

target_include_directories(KF5PulseAudioQt INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KF5PulseAudioQt>" )

set_target_properties(KF5PulseAudioQt PROPERTIES VERSION ${PULSEAUDIOQT_VERSION_STRING}
                                                   SOVERSION ${PULSEAUDIOQT_SOVERSION}
                                                   EXPORT_NAME PulseAudioQt
)

ecm_generate_headers(PulseAudioQt_HEADERS
    HEADER_NAMES
        Card
        Client
        Context
        Device
        Module
        Port
        Profile
        Models
        PulseObject
        Server
        Sink
        SinkInput
        Source
        SourceOutput
        Stream
        StreamRestore
        VolumeObject
    REQUIRED_HEADERS PulseAudioQt_HEADERS
)
generate_export_header(KF5PulseAudioQt BASE_NAME KF5PulseAudioQt)

install(TARGETS KF5PulseAudioQt EXPORT KF5PulseAudioQtTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${PulseAudioQt_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kf5pulseaudioqt_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KF5PulseAudioQt/PulseAudioQt COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5PulseAudioQt_QCH
        NAME PulseAudioQt
        BASE_NAME KF5PulseAudioQt
        VERSION ${PULSEAUDIOQT_VERSION_STRING}
        ORG_DOMAIN org.kde
        SOURCES
            ${PulseAudioQt_HEADERS}
        LINK_QCHS
            Qt5Gui_QCH
        BLANK_MACROS
            PulseAudioQt_EXPORT
            PulseAudioQt_DEPRECATED
            PulseAudioQt_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== tests/painspector/CMakeLists.txt ===
set(painspector_SRCS
    main.cpp
)

qt5_add_resources(painspector_SRCS
    resources.qrc
)

add_executable(painspector ${painspector_SRCS})
target_link_libraries(painspector
    Qt5::Qml
    Qt5::Quick
    KF5PulseAudioQt
)

=== debian/changelog ===
pulseaudio-qt (1.2-2) unstable; urgency=medium

  * Team upload.
  * Replace the indep qttools5-dev-tools build dependency with the qttools5-dev
    build dependency.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jan 2020 16:50:42 +0100

pulseaudio-qt (1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Update the patches:
    - upstream_fix_qch_build.patch: drop, backported from upstream
  * Remove wrong setting of DEB_BUILD_MAINT_OPTIONS=nocheck in rules.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Disable the KDEClangFormat ECM module, present only in recent ECM
    versions; patch disable_clangformat.diff.
  * Update symbols file.
  * Remove the unused ${shlibs:Depends} substvar from libkf5pulseaudioqt2-doc.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0
    - bump extra-cmake-modules to 5.44.0
    - bump Qt packages to 5.10.0
    - remove unused appstream, libkf5coreaddons-dev, libkf5doctools-dev,
      libkf5i18n-dev, and qt5-doc-html
  * Make libkf5pulseaudioqt2.install more specific to catch SONAME bumps.
  * Remove the unused /usr/share/dpkg/default.mk include in rules.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jan 2020 16:20:27 +0100

pulseaudio-qt (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #924030)

 -- Scarlett Moore <sgmoore@kde.org>  Fri, 23 Aug 2019 17:04:30 -0700

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --with=pkgkde-symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=ON

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://download.kde.org/stable/pulseaudio-qt/pulseaudio-qt-([\d\.]+)\.tar\.xz debian uupdate

## pulseaudio-qt 1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,22 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.16)
 
-project(PulseAudioQt VERSION 1.2.0)
+set(PROJECT_VERSION 1.3.0)
+
+project(PulseAudioQt VERSION ${PROJECT_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.44.0  NO_MODULE)
+find_package(ECM 5.80.0  NO_MODULE)
 
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://kde.org/products/frameworks/")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(GenerateExportHeader)
 include(CMakePackageConfigHelpers)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
+include(ECMGenerateExportHeader)
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddQch)
 include(KDEClangFormat)
@@ -29,9 +32,9 @@
 ecm_setup_version(PROJECT VARIABLE_PREFIX PULSEAUDIOQT
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/pulseaudioqt_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PulseAudioQtConfigVersion.cmake"
-                        SOVERSION 2)
+                        SOVERSION 3)
 
-set(REQUIRED_QT_VERSION 5.10.0)
+set(REQUIRED_QT_VERSION 5.15.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui DBus)
 
 find_package(Qt5Test ${REQUIRED_QT_VERSION} CONFIG)
@@ -58,8 +61,10 @@
   INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
 )
 
-find_package(PulseAudio 5.0.0 REQUIRED)
-find_package(GLIB2 REQUIRED)
+find_package(PkgConfig REQUIRED)
+
+pkg_check_modules(LIBPULSE libpulse REQUIRED IMPORTED_TARGET)
+pkg_check_modules(LIBPULSE_MAINLOOP libpulse-mainloop-glib REQUIRED IMPORTED_TARGET)
 
 if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
     ecm_install_po_files_as_qm(po)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

ecm_add_test(
    ${CMAKE_SOURCE_DIR}/src/maps.h
    ${CMAKE_SOURCE_DIR}/src/module.cpp
    ${CMAKE_BINARY_DIR}/src/debug.cpp
    mapstest.cpp
    TEST_NAME mapstest
    LINK_LIBRARIES Qt5::Test KF5PulseAudioQt PkgConfig::LIBPULSE
)

=== src/CMakeLists.txt ===
add_library(KF5PulseAudioQt SHARED)

target_sources(KF5PulseAudioQt PRIVATE
    card.cpp
    cardport.cpp
    client.cpp
    context.cpp
    device.cpp
    maps.cpp
    operation.cpp
    port.cpp
    profile.cpp
    models.cpp
    pulseobject.cpp
    sink.cpp
    sinkinput.cpp
    source.cpp
    sourceoutput.cpp
    stream.cpp
    volumeobject.cpp
    server.cpp
    streamrestore.cpp
    module.cpp
    indexedpulseobject.cpp
)

ecm_qt_declare_logging_category(KF5PulseAudioQt
    HEADER debug.h
    IDENTIFIER PULSEAUDIOQT
    CATEGORY_NAME org.kde.pulseaudio
)

target_link_libraries(KF5PulseAudioQt
    PUBLIC
        Qt5::Core
    PRIVATE
        Qt5::Gui
        Qt5::DBus
        PkgConfig::LIBPULSE
        PkgConfig::LIBPULSE_MAINLOOP
)

target_include_directories(KF5PulseAudioQt INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KF5PulseAudioQt>" )

set_target_properties(KF5PulseAudioQt PROPERTIES VERSION ${PULSEAUDIOQT_VERSION}
                                                   SOVERSION ${PULSEAUDIOQT_SOVERSION}
                                                   EXPORT_NAME PulseAudioQt
)

ecm_generate_headers(PulseAudioQt_HEADERS
    HEADER_NAMES
        Card
        CardPort
        Client
        Context
        Device
        IndexedPulseObject
        Module
        Port
        Profile
        Models
        PulseObject
        Server
        Sink
        SinkInput
        Source
        SourceOutput
        Stream
        StreamRestore
        VolumeObject
    REQUIRED_HEADERS PulseAudioQt_HEADERS
)
ecm_generate_export_header(KF5PulseAudioQt
    BASE_NAME PulseAudioQt
    GROUP_BASE_NAME KF
    VERSION ${PROJECT_VERSION}
)

install(TARGETS KF5PulseAudioQt EXPORT KF5PulseAudioQtTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${PulseAudioQt_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/pulseaudioqt_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KF5PulseAudioQt/PulseAudioQt COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5PulseAudioQt_QCH
        NAME PulseAudioQt
        BASE_NAME KF5PulseAudioQt
        VERSION ${PULSEAUDIOQT_VERSION}
        ORG_DOMAIN org.kde
        SOURCES
            ${PulseAudioQt_HEADERS}
        LINK_QCHS
            Qt5Gui_QCH
        BLANK_MACROS
            PulseAudioQt_EXPORT
            PulseAudioQt_DEPRECATED
            PulseAudioQt_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
pulseaudio-qt (1.3-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:49:47 +0000

pulseaudio-qt (1.3-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:33:29 +0000

pulseaudio-qt (1.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.6.0, no changes required.
  * CI: disable the blhc job.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Oct 2021 20:11:04 +0200

pulseaudio-qt (1.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump extra-cmake-modules to 5.80.0
    - bump Qt packages to 5.15.0
    - explicitly add pkg-config
  * Update the patches:
    - disable_clangformat.diff: drop, no more needed now
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default behaviour
  * Add Rules-Requires-Root: no.
  * Switch all the upstream references to
    https://invent.kde.org/libraries/pulseaudio-qt.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Switch the Upstream-Name to pulseaudio-qt.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Rename libkf5pulseaudioqt2-doc to libkf5pulseaudioqt-doc, as the docs are
    installed in an unversioned path
    - leave libkf5pulseaudioqt2-doc as transitional package
  * Rename libkf5pulseaudioqt2 to libkf5pulseaudioqt3 according to the new
    upstream SONAME.
  * Update symbols file.
  * Drop the uupdate bit from the watch file, as it is not needed.

 -- Pino Toscano <pino@debian.org>  Tue, 17 Aug 2021 07:49:31 +0200

=== debian/control ===
Source: pulseaudio-qt
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.80.0~),
               libpulse-dev (>= 5.0.0~),
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qttools5-dev (>= 5.15.0~),
Standards-Version: 4.6.0
Section: libs
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/pulseaudio-qt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/pulseaudio-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/pulseaudio-qt.git

Package: libkf5pulseaudioqt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5pulseaudioqt3 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Description: Pulseaudio bindings development files for Qt
 Qt framework C++ bindings development files for the pulseaudio
 sound system.
 .
 This package contains the development files for libkf5pulseaudioqt

Package: libkf5pulseaudioqt3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Pulseaudio bindings library for Qt
 Qt framework C++ bindings library for the pulseaudio
 sound system.
 .
 This package contains the libraries for libkf5pulseaudioqt

Package: libkf5pulseaudioqt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Pulseaudio bindings library for Qt documentation
 Qt framework C++ bindings library for the pulseaudio
 sound system documentation.
 .
 This package contains the documentation for libkf5pulseaudioqt

Package: libkf5pulseaudioqt2-doc
Section: oldlibs
Architecture: all
Multi-Arch: foreign
Depends: libkf5pulseaudioqt-doc (>= ${source:Version}),
         ${misc:Depends}
Description: transitional package for libkf5pulseaudioqt-doc
 This is a transitional package for migrating to libkf5pulseaudioqt-doc.
 .
 It can be safely removed after the upgrade.

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,3 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=ON
-
-override_dh_missing:
-	dh_missing --fail-missing

## pulseaudio-qt 1.3+p20.04+tunstable+git20221031.0233

=== debian/changelog ===
pulseaudio-qt (1.3+p20.04+tunstable+git20221031.0233-0) focal; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 31 Oct 2022 02:33:42 +0000

pulseaudio-qt (1.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 28 May 2021 10:06:07 +0000

=== debian/control ===
Source: pulseaudio-qt
Priority: optional
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               doxygen,
               extra-cmake-modules,
               kirigami2-dev,
               libkf5coreaddons-dev (>= 5.45.0~),
               libkf5doctools-dev (>= 5.45.0~),
               libkf5prison-dev,
               libpulse-dev (>= 5.0.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.4.1
Section: libs
Homepage: http://kde.org
Vcs-Git: https://invent.kde.org/neon/extras/pulseaudio-qt.git
Vcs-Browser: https://invent.kde.org/neon/extras/pulseaudio-qt
Maintainer: Neon CI <neon@kde.org>

Package: libkf5pulseaudioqt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Recommends: libkf5pulseaudioqt-doc (= ${source:Version})
Depends: libkf5pulseaudioqt4 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Breaks: libkf5pulseaudioqt-doc (<< 1.2-2),
        libkf5pulseaudioqt2-doc (<< 1.2-2),
        libkf5pulseaudioqt3-doc (<< 1.2-2)
Replaces: libkf5pulseaudioqt-doc (<< 1.2-2),
          libkf5pulseaudioqt2-doc (<< 1.2-2),
          libkf5pulseaudioqt3-doc (<< 1.2-2)
Description: Pulseaudio bindings development files for Qt
 Qt framework C++ bindings development files for the pulseaudio
 sound system.
 .
 This package contains the development files for libkf5pulseaudioqt

Package: libkf5pulseaudioqt4
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-kirigami2,
         qml-module-org-kde-prison,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5pulseaudioqt1 (<< 1.2-0neon),
        libkf5pulseaudioqt2 (<< 1.3),
        libkf5pulseaudioqt3 (<< ${source:Version}~ciBuild)
Replaces: libkf5pulseaudioqt1 (<< 1.2-0neon),
          libkf5pulseaudioqt2 (<< 1.3),
          libkf5pulseaudioqt3 (<< ${source:Version}~ciBuild)
Description: Pulseaudio bindings library for Qt
 Qt framework C++ bindings library for the pulseaudio
 sound system.
 .
 This package contains the libraries for libkf5pulseaudioqt

Package: libkf5pulseaudioqt1
Architecture: any
Multi-Arch: same
Depends: libkf5pulseaudioqt4, ${misc:Depends}, ${shlibs:Depends}
Description: Pulseaudio bindings library for Qt - transitional
 Qt framework C++ bindings library for the pulseaudio
 sound system documentation.
 .
 Transitional dummy which can be removed.

Package: libkf5pulseaudioqt2
Architecture: any
Multi-Arch: same
Depends: libkf5pulseaudioqt4, ${misc:Depends}, ${shlibs:Depends}
Description: Pulseaudio bindings library for Qt - transitional
 Qt framework C++ bindings library for the pulseaudio
 sound system documentation.
 .
 Transitional dummy which can be removed.

Package: libkf5pulseaudioqt3
Architecture: any
Multi-Arch: same
Depends: libkf5pulseaudioqt4, ${misc:Depends}, ${shlibs:Depends}
Description: Pulseaudio bindings library for Qt - transitional
 Qt framework C++ bindings library for the pulseaudio
 sound system documentation.
 .
 Transitional dummy which can be removed.

Package: libkf5pulseaudioqt-doc
Section: oldlibs
Priority: optional
Depends: libkf5pulseaudioqt2-doc, ${misc:Depends}
Architecture: any
Description: Pulseaudio bindings library for Qt documentation - transitional
 Qt framework C++ bindings library for the pulseaudio
 sound system documentation.
 .
 This package contains the documentation for libkf5pulseaudioqt

## pulseaudio-qt 1.5.0

=== src/CMakeLists.txt ===
add_library(KF${QT_MAJOR_VERSION}PulseAudioQt SHARED)

target_sources(KF${QT_MAJOR_VERSION}PulseAudioQt PRIVATE
    card.cpp
    cardport.cpp
    client.cpp
    context.cpp
    device.cpp
    maps.cpp
    operation.cpp
    port.cpp
    profile.cpp
    models.cpp
    pulseobject.cpp
    sink.cpp
    sinkinput.cpp
    source.cpp
    sourceoutput.cpp
    stream.cpp
    volumeobject.cpp
    server.cpp
    streamrestore.cpp
    module.cpp
    indexedpulseobject.cpp
)

ecm_qt_declare_logging_category(KF${QT_MAJOR_VERSION}PulseAudioQt
    HEADER debug.h
    IDENTIFIER PULSEAUDIOQT
    CATEGORY_NAME org.kde.pulseaudio
)

target_link_libraries(KF${QT_MAJOR_VERSION}PulseAudioQt
    PUBLIC
        Qt${QT_MAJOR_VERSION}::Core
    PRIVATE
        Qt${QT_MAJOR_VERSION}::Gui
        Qt${QT_MAJOR_VERSION}::DBus
        PkgConfig::LIBPULSE
        PkgConfig::LIBPULSE_MAINLOOP
)

target_include_directories(KF${QT_MAJOR_VERSION}PulseAudioQt INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KF${QT_MAJOR_VERSION}PulseAudioQt>" )

set_target_properties(KF${QT_MAJOR_VERSION}PulseAudioQt PROPERTIES VERSION ${PULSEAUDIOQT_VERSION}
                                                   SOVERSION ${PULSEAUDIOQT_SOVERSION}
                                                   EXPORT_NAME PulseAudioQt
)

ecm_generate_headers(PulseAudioQt_HEADERS
    HEADER_NAMES
        Card
        CardPort
        Client
        Context
        Device
        IndexedPulseObject
        Module
        Port
        Profile
        Models
        PulseObject
        Server
        Sink
        SinkInput
        Source
        SourceOutput
        Stream
        StreamRestore
        VolumeObject
    REQUIRED_HEADERS PulseAudioQt_HEADERS
)
ecm_generate_export_header(KF${QT_MAJOR_VERSION}PulseAudioQt
    BASE_NAME PulseAudioQt
    GROUP_BASE_NAME KF
    VERSION ${PROJECT_VERSION}
)

ecm_generate_pkgconfig_file(BASE_NAME KF${QT_MAJOR_VERSION}PulseAudioQt
      INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KF${QT_MAJOR_VERSION}PulseAudioQt/
      DEPS "Qt${QT_MAJOR_VERSION}Core"
    INSTALL)

install(TARGETS KF${QT_MAJOR_VERSION}PulseAudioQt EXPORT PulseAudioQtTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${PulseAudioQt_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/pulseaudioqt_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KF${QT_MAJOR_VERSION}PulseAudioQt/PulseAudioQt COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF${QT_MAJOR_VERSION}PulseAudioQt_QCH
        NAME PulseAudioQt
        BASE_NAME KF${QT_MAJOR_VERSION}PulseAudioQt
        VERSION ${PULSEAUDIOQT_VERSION}
        ORG_DOMAIN org.kde
        SOURCES
            ${PulseAudioQt_HEADERS}
        LINK_QCHS
            Qt${QT_MAJOR_VERSION}Gui_QCH
        BLANK_MACROS
            PulseAudioQt_EXPORT
            PulseAudioQt_DEPRECATED
            PulseAudioQt_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
pulseaudio-qt (1.5.0-3) unstable; urgency=medium

  * Team upload.
  * Fix the Qt dependency of libkf6pulseaudioqt-dev to be qt6-base-dev rather
    than qtbase5-dev. (Closes: #1074124)

 -- Pino Toscano <pino@debian.org>  Thu, 27 Jun 2024 18:47:47 +0200

pulseaudio-qt (1.5.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 21 Jun 2024 20:20:36 +0200

pulseaudio-qt (1.5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Rename library packages according to the upstream SONAME bumps:
    - libkf5pulseaudioqt4 -> libkf5pulseaudioqt5
    - libkf6pulseaudioqt4 -> libkf6pulseaudioqt5
  * Update symbols files.
  * Refresh/update the descriptions of all the non-transitional packages.
  * Update copyright with my contributions.

 -- Pino Toscano <pino@debian.org>  Tue, 28 May 2024 10:37:50 +0200

pulseaudio-qt (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sat, 11 May 2024 21:44:33 +0200

pulseaudio-qt (1.4.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update standards version to 4.7.0, no changes needed.
  * Switch Maintainer to Debian KDE Extras Team.
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.90.0
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Rename libkf5pulseaudioqt3 to libkf5pulseaudioqt4 according to the upstream
    SONAME bump.
  * CI: enable again the blhc job.
  * Update the upstream GPG signing key with the key of Nicolas Fella.
  * Update install files.
  * Update symbols file.
  * Factorize the common cmake arguments in qt5/qt6 builds in a single
    variable.
  * Build Qt 6 library:
    - add the qt6-base-dev, qt6-declarative-dev, and qt6-tools-dev build
      dependencies
    - add new libkf6pulseaudioqt-dev, libkf6pulseaudioqt4, and
      libkf6pulseaudioqt-doc binary packages as counterparts of their Qt 5
      versions
    - perform a second build for the Qt6 library
    - explicitly pass -DQT_MAJOR_VERSION=5/6 depending on the build

 -- Pino Toscano <pino@debian.org>  Thu, 09 May 2024 00:14:55 +0200

=== debian/control ===
Source: pulseaudio-qt
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.90.0~),
               libpulse-dev (>= 5.0.0~),
               pkgconf,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qttools5-dev (>= 5.15.0~),
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev,
Standards-Version: 4.7.0
Section: libs
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/pulseaudio-qt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/pulseaudio-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/pulseaudio-qt.git

Package: libkf5pulseaudioqt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5pulseaudioqt5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Description: Pulseaudio bindings library for Qt 5 - development files
 Qt 5 framework C++ bindings development files for the Pulseaudio
 sound system.
 .
 This package contains the development files.

Package: libkf5pulseaudioqt5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Pulseaudio bindings library for Qt 5
 Qt 5 framework C++ bindings library for the Pulseaudio
 sound system.
 .
 This package contains the shared library.

Package: libkf5pulseaudioqt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Pulseaudio bindings library for Qt 5 - documentation
 Qt 5 framework C++ bindings development files for the Pulseaudio
 sound system.
 .
 This package contains the API documentation.

Package: libkf6pulseaudioqt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6pulseaudioqt5 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Pulseaudio bindings library for Qt 6 - development files
 Qt 6 framework C++ bindings development files for the Pulseaudio
 sound system.
 .
 This package contains the development files.

Package: libkf6pulseaudioqt5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Pulseaudio bindings library for Qt 6
 Qt 6 framework C++ bindings library for the Pulseaudio
 sound system.
 .
 This package contains the shared library.

Package: libkf6pulseaudioqt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Pulseaudio bindings library for Qt 6 - documentation
 Qt 6 framework C++ bindings development files for the Pulseaudio
 sound system.
 .
 This package contains the API documentation.

Package: libkf5pulseaudioqt2-doc
Section: oldlibs
Architecture: all
Multi-Arch: foreign
Depends: libkf5pulseaudioqt-doc (>= ${source:Version}),
         ${misc:Depends}
Description: transitional package for libkf5pulseaudioqt-doc
 This is a transitional package for migrating to libkf5pulseaudioqt-doc.
 .
 It can be safely removed after the upgrade.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

CMAKE_ARGS = -DBUILD_QCH=ON -DBUILD_TESTING=ON

%:
	dh $@ --with=pkgkde-symbolshelper

execute_after_dh_auto_clean:
	rm -rf build-qt6

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_ARGS) -DQT_MAJOR_VERSION=5
	dh_auto_configure --builddirectory=build-qt6 -- $(CMAKE_ARGS) -DQT_MAJOR_VERSION=6

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=build-qt6

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=build-qt6

override_dh_auto_test:
	dh_auto_test
	dh_auto_test --builddirectory=build-qt6

## pulseaudio-qt 1.6.1

=== debian/changelog ===
pulseaudio-qt (1.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Nov 2024 21:15:57 +0100

pulseaudio-qt (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Fri, 13 Sep 2024 07:27:34 +0200

## pulseaudio-qt 1.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION 1.7.0)

project(PulseAudioQt VERSION ${PROJECT_VERSION})

include(FeatureSummary)
find_package(ECM 6.0.0  NO_MODULE)
set(KDE_COMPILERSETTINGS_LEVEL "6.0")
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://kde.org/products/frameworks/")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(KDEClangFormat)
include(ECMGeneratePkgConfigFile)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX PULSEAUDIOQT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/pulseaudioqt_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6PulseAudioQtConfigVersion.cmake"
                        SOVERSION 5)

set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui DBus)

find_package(Qt6Test ${REQUIRED_QT_VERSION} CONFIG)
set_package_properties(Qt6Test PROPERTIES DESCRIPTION "Autotests for PulseAudioQt" TYPE OPTIONAL)

find_package(Qt6Qml ${REQUIRED_QT_VERSION} CONFIG)
set_package_properties(Qt6Qml PROPERTIES DESCRIPTION "Tests for PulseAudioQt" TYPE OPTIONAL)

find_package(Qt6Quick ${REQUIRED_QT_VERSION} CONFIG)
set_package_properties(Qt6Quick PROPERTIES DESCRIPTION "Tests for PulseAudioQt" TYPE OPTIONAL)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6PulseAudioQt")


install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF6PulseAudioQtConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF6PulseAudioQtConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6PulseAudioQtConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PulseAudioQtConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

find_package(PkgConfig REQUIRED)

pkg_check_modules(LIBPULSE libpulse REQUIRED IMPORTED_TARGET)
pkg_check_modules(LIBPULSE_MAINLOOP libpulse-mainloop-glib REQUIRED IMPORTED_TARGET)

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(tests)
    if(Qt6Test_FOUND)
        add_subdirectory(autotests)
    endif()
endif()

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6PulseAudioQt_QCH
        FILE KF6PulseAudioQtQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6PulseAudioQtQchTargets.cmake\")")
endif()

install(EXPORT PulseAudioQtTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6PulseAudioQtTargets.cmake NAMESPACE KF6:: )

install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/pulseaudioqt_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF} COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
add_library(KF6PulseAudioQt SHARED)

target_sources(KF6PulseAudioQt PRIVATE
    card.cpp
    cardport.cpp
    client.cpp
    context.cpp
    device.cpp
    maps.cpp
    operation.cpp
    port.cpp
    profile.cpp
    models.cpp
    pulseobject.cpp
    sink.cpp
    sinkinput.cpp
    source.cpp
    sourceoutput.cpp
    stream.cpp
    volumeobject.cpp
    server.cpp
    streamrestore.cpp
    module.cpp
    indexedpulseobject.cpp
)

ecm_qt_declare_logging_category(KF6PulseAudioQt
    HEADER debug.h
    IDENTIFIER PULSEAUDIOQT
    CATEGORY_NAME org.kde.pulseaudio
)

ecm_qt_declare_logging_category(KF6PulseAudioQt
    HEADER debug_object.h
    IDENTIFIER PAOBJECT
    CATEGORY_NAME org.kde.pulseaudio.object
)

target_link_libraries(KF6PulseAudioQt
    PUBLIC
        Qt6::Core
    PRIVATE
        Qt6::Gui
        Qt6::DBus
        PkgConfig::LIBPULSE
        PkgConfig::LIBPULSE_MAINLOOP
)

target_include_directories(KF6PulseAudioQt INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KF6PulseAudioQt>" )

set_target_properties(KF6PulseAudioQt PROPERTIES VERSION ${PULSEAUDIOQT_VERSION}
                                                   SOVERSION ${PULSEAUDIOQT_SOVERSION}
                                                   EXPORT_NAME PulseAudioQt
)

ecm_generate_headers(PulseAudioQt_HEADERS
    HEADER_NAMES
        Card
        CardPort
        Client
        Context
        Device
        IndexedPulseObject
        Module
        Port
        Profile
        Models
        PulseObject
        Server
        Sink
        SinkInput
        Source
        SourceOutput
        Stream
        StreamRestore
        VolumeObject
    REQUIRED_HEADERS PulseAudioQt_HEADERS
)
ecm_generate_export_header(KF6PulseAudioQt
    BASE_NAME PulseAudioQt
    GROUP_BASE_NAME KF
    VERSION ${PROJECT_VERSION}
)

ecm_generate_pkgconfig_file(BASE_NAME KF6PulseAudioQt
      INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KF6PulseAudioQt/
      DEPS "Qt6Core"
    INSTALL)

install(TARGETS KF6PulseAudioQt EXPORT PulseAudioQtTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${PulseAudioQt_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/pulseaudioqt_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KF6PulseAudioQt/PulseAudioQt COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF6PulseAudioQt_QCH
        NAME PulseAudioQt
        BASE_NAME KF6PulseAudioQt
        VERSION ${PULSEAUDIOQT_VERSION}
        ORG_DOMAIN org.kde
        SOURCES
            ${PulseAudioQt_HEADERS}
        LINK_QCHS
            Qt6Gui_QCH
        BLANK_MACROS
            PulseAudioQt_EXPORT
            PulseAudioQt_DEPRECATED
            PulseAudioQt_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== tests/CMakeLists.txt ===
add_subdirectory(painspector)

=== tests/painspector/CMakeLists.txt ===
set(painspector_SRCS
    main.cpp
)

qt_add_resources(painspector_SRCS
    resources.qrc
)

add_executable(painspector ${painspector_SRCS})
target_link_libraries(painspector
    Qt6::Qml
    Qt6::Quick
    KF6PulseAudioQt
)

=== debian/changelog ===
pulseaudio-qt (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * This release drops support for Qt 5, hence drop the associated bits
    (there are no users of it in Debian currently):
    - drop the libkf5pulseaudioqt-dev, libkf5pulseaudioqt5, and
      libkf5pulseaudioqt-doc binary packages
    - drop also the transitional libkf5pulseaudioqt2-doc package, as it refers
      to libkf5pulseaudioqt-doc which is dropped
    - remove the qtbase5-dev, qtdeclarative5-dev, and qttools5-dev build
      dependencies
    - drop the double build, keeping only the dh_auto_configure override
      (needed to pass additional cmake parameters)
  * Modernize building:
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 6.0.0
    - bump the Qt packages to 6.7.0
  * Concatenate all the keys in debian/upstream/signing-key.asc.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Feb 2025 10:16:52 +0100

=== debian/control ===
Source: pulseaudio-qt
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.0.0~),
               libpulse-dev (>= 5.0.0~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-tools-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Section: libs
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/pulseaudio-qt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/pulseaudio-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/pulseaudio-qt.git

Package: libkf6pulseaudioqt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6pulseaudioqt5 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Pulseaudio bindings library for Qt 6 - development files
 Qt 6 framework C++ bindings development files for the Pulseaudio
 sound system.
 .
 This package contains the development files.

Package: libkf6pulseaudioqt5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Pulseaudio bindings library for Qt 6
 Qt 6 framework C++ bindings library for the Pulseaudio
 sound system.
 .
 This package contains the shared library.

Package: libkf6pulseaudioqt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Pulseaudio bindings library for Qt 6 - documentation
 Qt 6 framework C++ bindings development files for the Pulseaudio
 sound system.
 .
 This package contains the API documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=ON

## pulseaudio-qt 1.7.0+p24.04+vstable+git20251202.2229

=== debian/changelog ===
pulseaudio-qt (1.7.0+p24.04+vstable+git20251202.2229-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 22:29:07 +0000

pulseaudio-qt (1.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Sep 2024 10:07:30 +0000

pulseaudio-qt (1.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 Jan 2024 10:06:04 +0000

## pulseaudio-qt 1.7.0+p24.04+vstable+git20260202.0955

=== debian/changelog ===
pulseaudio-qt (1.7.0+p24.04+vstable+git20260202.0955-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 09:55:19 +0000

=== debian/control ===
Source: pulseaudio-qt
Priority: optional
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kdoctools-dev,
               kf6-kirigami2-dev,
               kf6-prison-dev,
               libpulse-dev,
               pkg-config,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Section: libs
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/pulseaudio-qt
Vcs-Git: https://invent.kde.org/neon/extras/pulseaudio-qt.git
Vcs-Browser: https://invent.kde.org/neon/extras/pulseaudio-qt
Maintainer: Neon CI <neon@kde.org>

Package: libkf6pulseaudioqt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Recommends: libkf6pulseaudioqt-doc (= ${source:Version})
Depends: libkf6pulseaudioqt5 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Breaks: libkf5pulseaudioqt-dev (<< 1.4.0)
Replaces: libkf5pulseaudioqt-dev (<< 1.4.0)
Description: Pulseaudio bindings development files for Qt
 Qt framework C++ bindings development files for the pulseaudio
 sound system.
 .
 This package contains the development files for libkf6pulseaudioqt4

Package: libkf6pulseaudioqt5
Architecture: any
Multi-Arch: same
Depends: qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-prison,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5pulseaudioqt4 (<< 1.6.0), libkf6pulseaudioqt4 (<< 1.6.0)
Replaces: libkf5pulseaudioqt4 (<< 1.6.0), libkf6pulseaudioqt4 (<< 1.6.0)
Description: Pulseaudio bindings library for Qt
 Qt framework C++ bindings library for the pulseaudio
 sound system.
 .
 This package contains the libraries for libkf6pulseaudioqt4

Package: libkf6pulseaudioqt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Pulseaudio bindings library for Qt documentation
 Qt framework C++ bindings library for the pulseaudio
 sound system documentation.
 .
 This package contains the documentation for libkf6pulseaudioqt5

Package: libkf5pulseaudioqt-dev
Architecture: all
Depends: libplasma6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5pulseaudioqt4
Architecture: all
Depends: libplasma6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=ON

## pulseaudio-qt 1.7.0+p24.04+vunstable+git20251202.2236

=== debian/changelog ===
pulseaudio-qt (1.7.0+p24.04+vunstable+git20251202.2236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 22:36:56 +0000

## pulseaudio-qt 1.7.0+p24.04+vunstable+git20260205.0748

=== debian/changelog ===
pulseaudio-qt (1.7.0+p24.04+vunstable+git20260205.0748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:48:56 +0000
